<?php

namespace EventPortal\Domain\Permission\Requests;

use EventPortal\Domain\Rules\AlphaWithSpaces;
use Illuminate\Foundation\Http\FormRequest;

class StoreRoleRequest extends FormRequest
{
    public function authorize(): bool
    {
        return true;
    }

    public function rules(): array
    {
        return [
            'name' => ['required', 'unique:roles,label', new AlphaWithSpaces],
        ];
    }

    public function messages(): array
    {
        return [
            'name.unique' => 'This user type already exists.',
        ];
    }
}
