<?php

namespace EventPortal\Tests\Unit\Table;

use EventPortal\Domain\Component\Filter\DropdownFilter;
use EventPortal\Tests\TestCase;

class FilterTest extends TestCase
{
    /** @test **/
    public function name_is_set_from_label()
    {
        $column = DropdownFilter::make('Testing');

        $this->assertEquals('testing', $column->name);
        $this->assertEquals('testing', $column->key);
    }

    /** @test **/
    public function can_override_name_set_via_label()
    {
        $column = DropdownFilter::make('Testing')->name('chip');

        $this->assertEquals('chip', $column->name);
        $this->assertEquals('chip', $column->key);
    }

    /** @test **/
    public function can_set_related_column()
    {
        $column = DropdownFilter::make('Testing')->forColumn('date');

        $this->assertEquals('date', $column->relatedColumn);
    }

    /** @test **/
    public function can_set_a_lookup()
    {
        $column = DropdownFilter::make('Testing')->lookup(function () {
            return 'yeet';
        });

        $this->assertTrue($column->hasManualLookup());
    }
}
